- name: Set role settings
  loop: "{{ _user.value.settings }}"
  loop_control:
    label: >-
      {{
      'ALTER ROLE "' + _user.key +
      '" IN DATABASE "' + item.database +
      '" SET ' + item.name + '=' + item.value | string + ';'
      if item.database is defined else
      'ALTER ROLE "' + _user.key +
      '" SET ' + item.name + '=' + item.value | string + ';'
      }}
  community.postgresql.postgresql_query:
    login_host: "{{ pg_host }}"
    login_port: "{{ pg_port | default(omit) }}"
    login_db: "{{ item.database | default('postgres') }}"
    login_user: "{{ pg_user }}"
    login_password: "{{ pg_pass }}"
    query: >-
      {{
      'ALTER ROLE "' + _user.key +
      '" IN DATABASE "' + item.database +
      '" SET ' + item.name + '=' + item.value | string + ';'
      if item.database is defined else
      'ALTER ROLE "' + _user.key +
      '" SET ' + item.name + '=' + item.value | string + ';'
      }}
  tags:
    - psql
    - settings
    - user
